Bug 238410 - www/cliqz: Update to 1.27.3
Summary: www/cliqz: Update to 1.27.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-08 02:06 UTC by Santhosh Raju
Modified: 2019-07-01 12:21 UTC (History)
2 users (show)

See Also:
santhosh.raju: maintainer-feedback+


Attachments
Patch to upgrade the ports script to support cliqz-1.27.0 builds. (45.68 KB, patch)
2019-06-08 02:06 UTC, Santhosh Raju
santhosh.raju: maintainer-approval+
Details | Diff
Patch to upgrade the ports script to support cliqz-1.27.1 builds. (45.68 KB, patch)
2019-06-09 00:49 UTC, Santhosh Raju
santhosh.raju: maintainer-approval+
Details | Diff
Patch to upgrade the ports script to support cliqz-1.27.2 builds. (48.23 KB, patch)
2019-06-15 21:23 UTC, Santhosh Raju
santhosh.raju: maintainer-approval+
Details | Diff
Patch to upgrade the ports script to support cliqz-1.27.3 builds. (48.23 KB, patch)
2019-06-21 19:56 UTC, Santhosh Raju
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Santhosh Raju 2019-06-08 02:06:23 UTC
Created attachment 204896 [details]
Patch to upgrade the ports script to support cliqz-1.27.0 builds.

Cliqz has been updated from version 1.26.5 to 1.27.0.

I have made a patch that makes changes to the ports script to support building cliqz-1.27.0.

Notes about the patch

* Removes files/patch-bug1513605 , files/patch-magic__build__and__package.sh since these are no longer applicable to the 1.27.0
* Adds files/patch-bug1554744, Bug 1554744 - make button state in browser language dialog correct when there's no available languages. Borrowed from www/firefox port.
* Now uses "shebangfix" to replace the bash command in magic_build_and_package.sh
* Added MAKE_ENV+=      LLVM_OBJDUMP=${LOCALBASE}/llvm${LLVM_DEFAULT}/bin/llvm-objdump , so the builds do not break in FreeBSD 11.2-RELEASE.

It would be nice if the patch can be applied to the ports tree of FreeBSD.

Thank you
Santhosh
Comment 1 Santhosh Raju 2019-06-09 00:49:28 UTC
Created attachment 204922 [details]
Patch to upgrade the ports script to support cliqz-1.27.1 builds.

By the time I tested and uploaded the patch to update the ports script to support cliqz-1.27.0 builds, cliqz-1.27.1 was released.

I have updated the script to support cliqz-1.27.1 builds, the changes mentioned foe the cliqz-1.27.0 patch still applies to cliqz-1.27.1 patch.
Comment 2 Santhosh Raju 2019-06-15 21:23:09 UTC
Created attachment 205085 [details]
Patch to upgrade the ports script to support cliqz-1.27.2 builds.

I have updated the script to support cliqz-1.27.2 builds, most of the changes mentioned for the cliqz-1.27.0 patch still applies to cliqz-1.27.2 patch.

Changes for cliqz-1.27.2 patch

* Removes patch-bug1554744 since it is no longer applicable to the 1.27.0
* Adds patch-bug1559213 - Allow to use system av1 libs instead of bundled. Borrowed from www/firefox port.
Comment 3 Santhosh Raju 2019-06-21 19:56:18 UTC
Created attachment 205270 [details]
Patch to upgrade the ports script to support cliqz-1.27.3 builds.

I have updated the script to support cliqz-1.27.3 builds, the changes mentioned for the cliqz-1.27.0 and cliqz-1.27.2 patch still applies to cliqz-1.27.3 patch.
Comment 4 commit-hook freebsd_committer 2019-06-21 20:11:34 UTC
A commit references this bug:

Author: philip
Date: Fri Jun 21 20:10:37 UTC 2019
New revision: 504812
URL: https://svnweb.freebsd.org/changeset/ports/504812

Log:
  www/cliqz: update to 1.27.3

  PR:		238410
  Submitted by:	Santhosh Raju <santhosh.raju@gmail.com> (maintainer)

Changes:
  head/www/cliqz/Makefile
  head/www/cliqz/distinfo
  head/www/cliqz/files/patch-bug1513605
  head/www/cliqz/files/patch-bug1530098
  head/www/cliqz/files/patch-bug1559213
  head/www/cliqz/files/patch-cliqz__env.sh
  head/www/cliqz/files/patch-magic__build__and__package.sh
  head/www/cliqz/files/patch-mozilla-release_browser_config_cliqz.mozconfig
  head/www/cliqz/files/patch-mozilla-release_config_rules.mk